How to Fix the Error: ‘A Reference Is Required to Compile This Module’

One of the most common errors encountered while building a project is the reference required error. It’s something like:

Error: A reference to 'Dynamics.AX.ApplicationFoundation, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null' is required to compile this module. PINDashboard (VAR) [PIN]

This error indicates we’re trying to modify/reference code from a model (Application Foundation) other than the current model (PIN) and a reference isn’t set up between the two. To fix this error, navigate to Dynamics 365 > Model Management > Update model parameters.

Select the current model. The model name is “PIN” in this case. The details related to the model will get populated on the “Update model parameters” form.

Now click Next and select the model that needs to be referenced.

Once all the related models are selected, click Next.

For more information on importing data, contact BKD’s Microsoft Dynamics GP support center.

Leave a Reply

Your email address will not be published. Required fields are marked *